# SPDX-FileCopyrightText : 2023 Detlef Gebhardt, written for CircuitPython
# SPDX-FileCopyrightText : Copyright (c) 2023 Detlef Gebhardt
# SPDX-Filename          : 
# SPDX-License-Identifier: GEBMEDIA
import time
import board
import busio
import displayio
import terminalio
from adafruit_display_text import label
import gc9a01
import my_qmi8658

# Alle verwendeten Ressourcen freigeben
displayio.release_displays()
# Display initialisieren
spi = busio.SPI(clock=board.LCD_CLK, MOSI=board.LCD_DIN)
display_bus = displayio.FourWire(spi, command=board.LCD_DC, chip_select=board.LCD_CS, reset=board.LCD_RST)
display = gc9a01.GC9A01(display_bus, width=240, height=240, backlight_pin=board.LCD_BL)
group1 = displayio.Group()
display.rotation = 90
display.brightness = 0.8

display.show(group1)

# Sensor initialisieren
sensor=my_qmi8658.QMI8658()

# Hintergrundpalette
color_bitmap = displayio.Bitmap(240, 240, 1)
color_palette = displayio.Palette(1)
color_palette[0] = 0x800000
bg_sprite = displayio.TileGrid(color_bitmap, pixel_shader=color_palette, x=0, y=0)
group1.append(bg_sprite)

# Textausgabe
text_group = displayio.Group(scale=2, x=20, y=70)
text1 = " rundes Display\n\n" + "1.28-Zoll-IPS-LCD\n\n" + "  240x240 Pixel"
text_area = label.Label(terminalio.FONT, text=text1, line_spacing = 1, color=0xffffff)
text_group.append(text_area)
group1.append(text_group)

while True:
    pass
